## org.hibernate.metamodel.source.annotations.global
Class FilterDefBinder

    java.lang.Object
      org.hibernate.metamodel.source.annotations.global.FilterDefBinder

    public class FilterDefBinder

extends Object

Binds `FilterDefs` and `FilterDef` annotations.

Method Summary
`static void` `bind(AnnotationBindingContext bindingContext)` Binds all `FilterDefs` and `FilterDef` annotations to the supplied metadata.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### bind

    public static void bind(AnnotationBindingContext bindingContext)

  Binds all `FilterDefs` and `FilterDef` annotations to the supplied metadata.

  Parameters:
    `bindingContext` - the context for annotation binding

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.